from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XFilePreview(XInterface, Protocol):
    def getSupportedImageFormats(self) -> list[int]: ...
    def getTargetColorDepth(self) -> Color: ...
    def getAvailableWidth(self) -> int: ...
    def getAvailableHeight(self) -> int: ...
    def setShowState(self, bShowState: bool) -> bool: ...
    def getShowState(self) -> bool: ...
